GNU bug report logs - #23960
lshd: X11 forwarding request failed on channel 0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: myglc2 <myglc2@HIDDEN>; merged with #22930, #24049; dated Tue, 12 Jul 2016 20:50:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 22930 23960 24049. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 22930 23960. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2016 20:56:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 12 16:56:03 2016
Received: from localhost ([127.0.0.1]:48795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bN4io-0008Gv-V3
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:56:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4in-0008GS-8E
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:56:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4ie-00085F-RQ
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:55:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32978)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4ie-000854-Nd
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:55:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52678)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4iY-0002Sd-Dd
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:55:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4iU-00083P-6D
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:55:45 -0400
Received: from plane.gmane.org ([80.91.229.3]:55136)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4iT-00083K-H4
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:55:41 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4iR-0001hl-3s
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 22:55:39 +0200
Received: from c-73-167-118-254.hsd1.ma.comcast.net ([73.167.118.254])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Tue, 12 Jul 2016 22:55:39 +0200
Received: from myglc2 by c-73-167-118-254.hsd1.ma.comcast.net with local
 (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Tue, 12 Jul 2016 22:55:39 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-guix@HIDDEN
From: myglc2 <myglc2@HIDDEN>
Subject: Re: bug#23960: lshd: X11 forwarding request failed on channel 0
Date: Tue, 12 Jul 2016 16:53:17 -0400
Lines: 102
Message-ID: <cu7y456k282.fsf@HIDDEN>
References: <cu737nelh3x.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-73-167-118-254.hsd1.ma.comcast.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
Cancel-Lock: sha1:lfo44v0qf0TN6WOXhnboJk1V6f8=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

myglc2 <myglc2@HIDDEN> writes:

> From 'Re: guixSD - problem with X11 forwarding' in help-guix@HIDDEN
>
> myglc2 <myglc2@HIDDEN> writes:
>
>> ludo@HIDDEN (Ludovic Courtès) writes:
>>
>>> myglc2 <myglc2@HIDDEN> skribis:
>>>
>>>> On guixSD, with no packages installed in the login user profile, I get
>>>> 'X11 forwarding request failed on channel 0'
>>>
>>> [...]
>>>
>>>> debug1: channel 0: new [client-session]
>>>> debug1: Entering interactive session.
>>>> debug1: Requesting X11 forwarding with authentication spoofing.
>>>> debug1: Sending environment.
>>>> debug1: Sending env LANG = en_US.UTF-8
>>>> X11 forwarding request failed on channel 0
>>>
>>> Right, I see that as well.
>>>
>>> lshd gives some clues in /var/log/messages:
>>>
>>> Feb 23 18:14:09 localhost lshd[430]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>>> Feb 23 18:14:09 localhost lshd[430]: lshd: xauth invocation failed: exit code: 127 
>>> Feb 23 18:14:33 localhost lshd[430]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
>>> Feb 23 18:14:33 localhost lshd[430]: lshd: write_buffer: Attempt to write data to closed buffer. 
>>> Feb 23 18:14:33 localhost lshd[430]: lshd: Disconnect for reason 11: disconnected by user 
>>>
>>> Indeed, server_x11.c in lsh reads:
>>>
>>> #ifndef XAUTH_PROGRAM
>>> # define XAUTH_PROGRAM "/usr/X11R6/bin/xauth"
>>> #endif
>>>
>>> I believe this is fixed by commit da35acf.
>>>
>>> To give it a try, you can run (as root):
>>>
>>>   # guix pull
>>>   # herd stop ssh-daemon
>>>   # guix system reconfigure your-config.scm
>>
>> I tried the above. 'ssh -v ...' still produces results quoted above and
>> I see in /var/log/messages:
>>
>> Feb 29 20:43:54 localhost lshd[6959]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
>> Feb 29 20:43:54 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>> Feb 29 20:45:35 localhost lshd[6959]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
>> Feb 29 20:45:35 localhost lshd[6959]: lshd: write_buffer: Attempt to write data to closed buffer. 
>> Feb 29 20:45:35 localhost lshd[6959]: lshd: Disconnect for reason 11: disconnected by user 
>> Feb 29 20:45:47 localhost lshd[6959]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
>> Feb 29 20:45:47 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>>
>> I tried 'sudo mkdir /tmp/.X11-unix' which changed /var/log/messages to:
>>
>> Feb 29 20:54:04 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>> Feb 29 20:54:09 localhost lshd[6959]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
>> Feb 29 20:54:09 localhost lshd[6959]: lshd: write_buffer: Attempt to write data to closed buffer. 
>> Feb 29 20:54:09 localhost lshd[6959]: lshd: Disconnect for reason 11: disconnected by user 
>>
>> and 'ssh -v ...' still produces the results quoted above.
>
> Don't think this is fixed yet. ssh in to GuixSD gives ...
>
> 'X11 forwarding request failed on channel 0'
>
> ... and on GuixSD in /var/log/messages I see ...
>
> Jul 12 16:25:42 localhost lshd[384]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
> Jul 12 16:25:42 localhost lshd[384]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>
> ... or after ...
>
> sudo mkdir /tmp/.X11-unix
>
> ... I see ...
>
> Jul 12 16:21:53 localhost lshd[384]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
> Jul 12 16:21:53 localhost lshd[384]: lshd: write_buffer: Attempt to write data to closed buffer. 
> Jul 12 16:21:53 localhost lshd[384]: lshd: Disconnect for reason 11: disconnected by user 
> Jul 12 16:22:00 localhost lshd[384]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>
> I am running from a git checkout ...
>
> g1@g1 ~/src/guix$ git branch -av | grep '* master'
> * master                                   0885881 gnu: obs: Remove compiler flags for non-Intel hardware.
> g1@g1 ~/src/guix$ stat /home/g1/.config/guix/latest | grep File:
>   File: ‘/home/g1/.config/guix/latest’ -> ‘../../src/guix’
>
>
> system and user configs attached. TIA - George

Afterthought... when I do ...

sudo mkdir /tmp/.X11-unix
sudo chmod 777 /tmp/.X11-unix

... it works.





Information forwarded to bug-guix@HIDDEN:
bug#23960; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2016 20:49:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 12 16:49:11 2016
Received: from localhost ([127.0.0.1]:48790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bN4cB-000861-2G
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:49:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4c9-00085o-BR
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:49:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4c1-0006jN-0N
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:49:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37783)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4c0-0006j5-Td
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2016 16:49:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51305)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4bw-000799-F3
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:48:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4bs-0006fT-6o
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:48:55 -0400
Received: from plane.gmane.org ([80.91.229.3]:54557)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4br-0006eV-SA
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 16:48:52 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1bN4bq-0005nK-0S
 for bug-guix@HIDDEN; Tue, 12 Jul 2016 22:48:50 +0200
Received: from c-73-167-118-254.hsd1.ma.comcast.net ([73.167.118.254])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Tue, 12 Jul 2016 22:48:49 +0200
Received: from myglc2 by c-73-167-118-254.hsd1.ma.comcast.net with local
 (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Tue, 12 Jul 2016 22:48:49 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-guix@HIDDEN
From: myglc2 <myglc2@HIDDEN>
Subject: lshd: X11 forwarding request failed on channel 0
Date: Tue, 12 Jul 2016 16:46:26 -0400
Lines: 162
Message-ID: <cu737nelh3x.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-73-167-118-254.hsd1.ma.comcast.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
Cancel-Lock: sha1:88/wl6USfFu8do+PVQvPjtkVlRk=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit


From 'Re: guixSD - problem with X11 forwarding' in help-guix@HIDDEN

myglc2 <myglc2@HIDDEN> writes:

> ludo@HIDDEN (Ludovic Courtès) writes:
>
>> myglc2 <myglc2@HIDDEN> skribis:
>>
>>> On guixSD, with no packages installed in the login user profile, I get
>>> 'X11 forwarding request failed on channel 0'
>>
>> [...]
>>
>>> debug1: channel 0: new [client-session]
>>> debug1: Entering interactive session.
>>> debug1: Requesting X11 forwarding with authentication spoofing.
>>> debug1: Sending environment.
>>> debug1: Sending env LANG = en_US.UTF-8
>>> X11 forwarding request failed on channel 0
>>
>> Right, I see that as well.
>>
>> lshd gives some clues in /var/log/messages:
>>
>> Feb 23 18:14:09 localhost lshd[430]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>> Feb 23 18:14:09 localhost lshd[430]: lshd: xauth invocation failed: exit code: 127 
>> Feb 23 18:14:33 localhost lshd[430]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
>> Feb 23 18:14:33 localhost lshd[430]: lshd: write_buffer: Attempt to write data to closed buffer. 
>> Feb 23 18:14:33 localhost lshd[430]: lshd: Disconnect for reason 11: disconnected by user 
>>
>> Indeed, server_x11.c in lsh reads:
>>
>> #ifndef XAUTH_PROGRAM
>> # define XAUTH_PROGRAM "/usr/X11R6/bin/xauth"
>> #endif
>>
>> I believe this is fixed by commit da35acf.
>>
>> To give it a try, you can run (as root):
>>
>>   # guix pull
>>   # herd stop ssh-daemon
>>   # guix system reconfigure your-config.scm
>
> I tried the above. 'ssh -v ...' still produces results quoted above and
> I see in /var/log/messages:
>
> Feb 29 20:43:54 localhost lshd[6959]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
> Feb 29 20:43:54 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
> Feb 29 20:45:35 localhost lshd[6959]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
> Feb 29 20:45:35 localhost lshd[6959]: lshd: write_buffer: Attempt to write data to closed buffer. 
> Feb 29 20:45:35 localhost lshd[6959]: lshd: Disconnect for reason 11: disconnected by user 
> Feb 29 20:45:47 localhost lshd[6959]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
> Feb 29 20:45:47 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
>
> I tried 'sudo mkdir /tmp/.X11-unix' which changed /var/log/messages to:
>
> Feb 29 20:54:04 localhost lshd[6959]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 
> Feb 29 20:54:09 localhost lshd[6959]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
> Feb 29 20:54:09 localhost lshd[6959]: lshd: write_buffer: Attempt to write data to closed buffer. 
> Feb 29 20:54:09 localhost lshd[6959]: lshd: Disconnect for reason 11: disconnected by user 
>
> and 'ssh -v ...' still produces the results quoted above.

Don't think this is fixed yet. ssh in to GuixSD gives ...

'X11 forwarding request failed on channel 0'

... and on GuixSD in /var/log/messages I see ...

Jul 12 16:25:42 localhost lshd[384]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
Jul 12 16:25:42 localhost lshd[384]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 

... or after ...

sudo mkdir /tmp/.X11-unix

... I see ...

Jul 12 16:21:53 localhost lshd[384]: lshd: Updating utmpx for logout failed (errno = 2): No such file or directory 
Jul 12 16:21:53 localhost lshd[384]: lshd: write_buffer: Attempt to write data to closed buffer. 
Jul 12 16:21:53 localhost lshd[384]: lshd: Disconnect for reason 11: disconnected by user 
Jul 12 16:22:00 localhost lshd[384]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 

I am running from a git checkout ...

g1@g1 ~/src/guix$ git branch -av | grep '* master'
* master                                   0885881 gnu: obs: Remove compiler flags for non-Intel hardware.
g1@g1 ~/src/guix$ stat /home/g1/.config/guix/latest | grep File:
  File: ‘/home/g1/.config/guix/latest’ -> ‘../../src/guix’


system and user configs attached. TIA - George


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=g1.scm
Content-Transfer-Encoding: base64

KHVzZS1wYWNrYWdlLW1vZHVsZXMKIGFzcGVsbAogZ2V0dGV4dAogZ2hvc3RzY3JpcHQgOzsgZ3Mt
Zm9udHMKIGZvbnRzIDs7IGZvbnQtZGVqYXZ1IGZvbnQtZ251LWZyZWVmb250LXR0ZgogYmFzZQog
c3NoIHJzeW5jIHdnZXQgc2NyZWVuCiB2ZXJzaW9uLWNvbnRyb2wKIGVtYWNzCiAgOzsgc28gd2Ug
Y2FuIG1ha2UgZ3VpeCB3L28gZ3VpeCBlbnZpcm9ubWVudAogYXV0b3Rvb2xzIDs7IGF1dG9tYWtl
CiB0ZXhsaXZlIDs7IHRleGxpdmUtbWluaW1hbAogY3VybAogeG9yZyBjZXJ0cwogZ3JhcGh2aXoK
ICkKKHBhY2thZ2VzLT5tYW5pZmVzdAogKGxpc3QKICA7OyAgZ251LWdldHRleHQKICA7OyBncy1m
b250cyBmb250LWRlamF2dSBmb250LWdudS1mcmVlZm9udC10dGYKICA7OyBnbnUtbWFrZQogIDs7
IG9wZW5zc2ggbnNzLWNlcnRzIHhhdXRoIHJzeW5jIHdnZXQgZ2l0IGdpdC1tYW5wYWdlcwogIDs7
IGVtYWNzIG1hZ2l0IHNjcmVlbgogIGFzcGVsbCBhc3BlbGwtZGljdC1lbgogIDs7IDs7IHNvIHdl
IGNhbiBtYWtlIGd1aXggdy9vIGd1aXggZW52aXJvbm1lbnQKICA7OyB0ZXhsaXZlLW1pbmltYWwg
IGF1dG9tYWtlCiAgY3VybCA7OyBscGFzdGUKICA7OyBncmFwaHZpegogICApKQo=
--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=system.scm
Content-Transfer-Encoding: base64
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--=-=-=--





Acknowledgement sent to myglc2 <myglc2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#23960; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Aug 2016 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.